import { SimpleLocalIntegration } from '../../core/index.js';
import { ApsystemsConfigFlow } from './apsystems.classes.configflow.js';
import { createApsystemsDiscoveryDescriptor } from './apsystems.discovery.js';
import type { IApsystemsConfig } from './apsystems.types.js';
import { apsystemsDomain, apsystemsProfile } from './apsystems.types.js';

export class ApsystemsIntegration extends SimpleLocalIntegration<IApsystemsConfig> {
  public readonly domain = apsystemsDomain;
  public readonly discoveryDescriptor = createApsystemsDiscoveryDescriptor();
  public readonly configFlow = new ApsystemsConfigFlow();

  constructor() {
    super(apsystemsProfile);
  }
}

export class HomeAssistantApsystemsIntegration extends ApsystemsIntegration {}
